為已登入的會員報名活動
POST
/v1/events/{slug}/registrations
const url = 'https://api.vimine.network/v1/events/example/registrations';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"registration_type":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","note":"example","quantity":1,"locale":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/events/example/registrations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "quantity": 1, "locale": "example" }'免費類型:傳回 201,帶有 status: confirmed 和 QR Code token。需付參與費的類型:傳回 201,帶有 status: reserved、金額和協會的 payment_instructions;協會記錄參與費後報名即確認(Stripe Checkout 將在 L3 階段推出)。422 not_eligible 帶有原因(參見報名資格)。
授權方式
章節「授權方式」參數
章節「參數」路徑參數
章節「路徑參數」slug
必填
string
請求本文必填
章節「請求本文必填」媒體類型application/json
object
registration_type
必填
string 格式: uuid
note
string
quantity
integer
locale
辦理報名時所用的語言(it、en):即發給嘉賓的郵件所用的語言,也是從未選擇語言之會員的備用語言。預設為 Accept-Language
string
範例自動產生
{ "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "quantity": 1, "locale": "example"}回應
章節「回應」201
章節「201」已報名
媒體類型application/json
object
id
string 格式: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string 格式: date-time
ends_at
string 格式: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string 格式: date-time
checked_in_at
string 格式: date-time
cancelled_at
string 格式: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string 格式: date-time
payment_instructions
保留期間如何繳納參與費
string
note
當事人填寫的自由文字。協會聲明其處理特殊類別資料時,不提供給第三方用戶端(null)
string
created_at
string 格式: date-time
token
報名的 QR Code 內容(vmt_…),僅限已確認的報名
string
範例
{ "status": "reserved"}400
章節「400」請求無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章節「401」缺少憑證或憑證無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章節「403」不允許此操作
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章節「404」找不到
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}422
章節「422」不具備報名資格(reasons),或報名類型未知
429
章節「429」超出速率限制
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章節「500」內部錯誤
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}